в терминале ввести

export LISTEN_ADDR=127.0.0.1:8080
export DEFAULT_PROXYING_ADDR=http://destination_address
export LOGGING=1

chmod +x proxy

./proxy


если надо просмотреть что проксирует -- надо друг на друга натрвить их